This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 436635 - Do -NOT- drop to textmode login when shifting ctrl-alt-f1, etc.
Do -NOT- drop to textmode login when shifting ctrl-alt-f1, etc.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
8
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-08 13:32 EST by Arne Chr. Jorgensen
Modified: 2009-01-09 02:42 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:42:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
current xorg.conf (1.02 KB, application/octet-stream)
2008-05-21 22:29 EDT, Arne Chr. Jorgensen
no flags Details
current Xorg.0.log (213.32 KB, text/plain)
2008-05-21 22:30 EDT, Arne Chr. Jorgensen
no flags Details

  None (edit)
Description Arne Chr. Jorgensen 2008-03-08 13:32:37 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8.1.12) Gecko/20080208 Fedora/2.0.0.12-1.fc8 Firefox/2.0.0.12

Description of problem:
xorg-x11-drv-ati-6.8.0-1.fc8 installed on a notebook HP-c6715b

Fedora 8 installed at the same time on a server with an nv-display driver,
and when login, shifting from default ( ctrl-alt-f7) to any other, say ctrl-alt-f1, you are dropped to textmode login screen, as expected.

On the notebook with the driver listed at top, you only have a blank graphical
screen. No login, nothing.  If it is gdm that doesn't work, or if the driver
listed at top doesn't shut down, - is uncertain.
(newbie in reporting bugs )  



Version-Release number of selected component (if applicable):
gdm-2.20.3-1.fc8

How reproducible:
Always


Steps to Reproduce:
1. you need this hardware, as it worked on the server install
2. press ctrl-alt-f1 or other function keys. 
3. ( pressing ctrl-alt-f7 brings you back to your x-session )

Actual Results:
Blank graphical screen with nothing happening, expect you may go back
to you x-session as described in point 3.

Expected Results:
It should drop you into text mode, supply you with a login

Additional info:
Comment 1 Ray Strode [halfline] 2008-03-08 16:22:09 EST
the mouse pointer doesn't work after pressing ctrl-alt-f1, right?

It's a fairly common X driver bug where pressing ctrl-alt-f1 doesn't correctly
restore text mode.
Comment 2 Arne Chr. Jorgensen 2008-03-08 19:47:36 EST
That is correct.  ( An error: Summary should read - Do NOT drop to textmode...)
Question: - you think this should have been filed against the xorg-drv package ?
If that is so, please feel free to do such correction if possible. 
Comment 3 Dave Airlie 2008-05-18 21:48:25 EDT
can you attach and xorg.conf and /var/log/Xorg.0.log from this system?
Comment 4 Arne Chr. Jorgensen 2008-05-21 22:29:47 EDT
Created attachment 306330 [details]
current xorg.conf
Comment 5 Arne Chr. Jorgensen 2008-05-21 22:30:27 EDT
Created attachment 306331 [details]
current Xorg.0.log
Comment 6 Arne Chr. Jorgensen 2008-05-21 22:55:29 EDT
- Missed to notice what/when and upgrade took place that seem to 
  have fixed this problem.
- Checked installed packages, current: xorg-x11-drv-ati-6.8.0-4.fc8.x86_64
- The hardware is a Radeon-X1250, checked info from xorg-team@lists.x.org

However, it does not tolerate movie applications. Not responding to anything
but power-off. This may also happen after some time of usage, using ordinary
programs. No clue of the reason. ( found similar stories at Xorg, etc )

In some cases an unexplained high activity of disk usage may force one to
shut-down in this way, which doesn't leave any answers of possible cause. Used
system-monitor, top, etc. - but they freeze up as well.  
( Perhaps related to memory/swap ?  may happen using Firefox, which seem to have
come up with several problems recently ) 

In closing:  It does drop to textmode now, but there seem to be something more
with the driver.


Comment 7 Arne Chr. Jorgensen 2008-05-21 23:46:50 EDT
Added note: 

I am aware that Fedora have excluded some movie/sound formats, but the programs
should behave, not crash the whole screen, and not freeze up the computer.
I don't have hardware that run Fedora 8, so .. I have no idea what is working on
a regular machine. 
Comment 8 Bug Zapper 2008-11-26 05:04:58 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-01-09 02:42:42 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.